#ifndef HTTPREQUESTCONTROLLER_H
#define HTTPREQUESTCONTROLLER_H

#include <QObject>
#include <QList>
#include <QPair>
#include <QByteArray>

#include "utils/HttpRequestUtil.h"
#include "utils/SettingConfig.h"
#include "utils/MD5.h"
#include "utils/QByteUtil.h"
#include "ConstCache.h"

class HttpRequestController : public QObject
{
    Q_OBJECT
public:
    explicit HttpRequestController(QObject *parent = nullptr);

    QJsonObject getTokenByClientId(QString clientId, QString key);
    QJsonObject initDictDeviceType();
    QJsonObject initDeviceList(QString devType, QString system);
    QJsonObject getChannelList(QString deviceId);

    QJsonObject updateChannelInfo(QJsonArray channelInfos);

    int getSysClockAlarmCount();
    QJsonObject getSysClockAlarmList(int limit);

private:
    HttpRequestUtil * httpUtil;

    QString baseUrl;

    QString token;
    QString system;

signals:

};

#endif // HTTPREQUESTCONTROLLER_H
